package com.bonus.system.evection.dao;


import com.bonus.system.evection.entity.EvectionBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import java.util.List;
import java.util.Map;

/**
 * 出差报备-数据访问层
 * @author lsun
 */
@Repository("EvectionDao")
public interface EvectionDao {

    List<EvectionBean> getEvectionList(@Param("bean")EvectionBean bean,@Param("params") Map<String, Object> params);

    int insertEvection(EvectionBean o);

    int updateEvection(EvectionBean o);

    int deleteEvectionById(String id);

    EvectionBean selectEvectionById(String id);

    EvectionBean getPostName(Long id);

    List<EvectionBean> getUserList(@Param("params")EvectionBean bean);

    /**
     * 判断出差报备数据是否被核对
     * @param evectionBean
     * @return List<Integer>
     * @author cwchen
     * @date 2025/2/12 15:14
     */
    List<Integer> isCheck(EvectionBean evectionBean);

    /**
     * 查询出差详情
     * @param id
     * @return EvectionBean
     * @author cwchen
     * @date 2025/2/12 15:53
     */
    EvectionBean getEvectionById(@Param("id") String id,@Param("type") int type);
}
